%define name qtcups 
%define version 2.1
%define release 11mdk
%define qtdir /usr/lib
%define lib_name libqtcups
%define major 2

Summary :	A CUPS interface and library for Qt
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Publishing
Source:		http://sourceforge.net/projects/cups/%{name}-%{version}.tar.bz2
Source1:	qtcups.png.bz2
Patch:          qtcups-2.1-xml-foomatic.patch.bz2
Patch1:		qtcups-2.1-qppdoptionviewcpp.patch.bz2
Patch2:         qtcups-2.1-cupshelpercpp.patch.bz2
URL:		http://sourceforge.net/projects/cups
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	cups-common >= 1.1 libcups1 >= 1 qt2 >= 2.1
BuildRequires:  libcups1-devel zlib1-devel libjpeg62-devel libpng2-devel XFree86-devel

%description
A QT-based CUPS front-end to be used as a replacement for "lpr", which
provides a nice graphical interface for printer settings (printer,
configuration, ...)


%package -n %{lib_name}%{major}
Summary:	Main library for QtCups 
Group:		System/Libraries
Requires:	cups-common >= 1.1 libcups1 >= 1 qt2 >= 2.1
Provides:	%{lib_name}
Obsoletes:      %{lib_name}1

%package -n %{lib_name}%{major}-devel
Summary:	QTCUPS library: provides Qt applications with support for CUPS
Group:		Development/C
Obsoletes:	%{name}-devel %{lib_name}1-devel
Provides: 	%{name}-devel 
Provides:       %{lib_name}-devel
Requires:       %{lib_name}%{major} = %{version}

%description -n %{lib_name}%{major}
A QT-based CUPS front-end to be used as a replacement for "lpr", which
provides a nice graphical interface for printer settings (printer,
configuration, ...).This is the library package.

%description -n %{lib_name}%{major}-devel
A development library which enables Qt application to print to CUPS
and configure all CUPS printer options. The class QCupsPrinter
provides the same interface as QPrinter, so code changes are small
for most applications.

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup
# Adapt parsing of numerical options in PPD files to the new XML-Foomatic
# (understands the old and the new format now)
%patch
# Fix problem in saving PPD options induced by changes in the recent 
# versions of Qt
%patch1
# Fix problem of passwords not being accepted by both QtCUPS and KUPS
%patch2

touch `find . -type f`

# Load menu icon
bzcat %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/qtcups.png

%build
export QTDIR=%{_libdir}
export CXXFLAGS="${CXXFLAGS:-%optflags} -fno-exceptions -fno-rtti";
./configure --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT --enable-qt2 --with-qt-includes=%{_includedir}/qt2 --with-qt-dir=%{_libdir}/qt2 --with-qt-libraries=%{_libdir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall QTCUPS_TRANSLATION_DIR=$RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 AUTHORS COPYING ChangeLog INSTALL README TODO $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# install menu icon

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/
install -m 644 qtcups.png $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/

# install menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

# Piped in data on qtcups command line to prevent program
# from hanging when there is no file to print
# the old 'command="echo '%!' | /usr/bin/qtcups -j none"' has problems with
# KDE 2.1

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/qtcups
?package(qtcups): needs=X11 \
section=Configuration/Printing \
title="QT-CUPS" \
    longtitle="A QT-based frontend for printing with CUPS" \
command="/usr/bin/qtcups -j none" \
icon="/usr/share/icons/locolor/16x16/apps/qtcups.png"
EOF

%post
%update_menus

%post -n %{lib_name}%{major} -p /sbin/ldconfig
%post -n %{lib_name}%{major}-devel -p /sbin/ldconfig

%postun
%clean_menus

%postun -n %{lib_name}%{major} -p /sbin/ldconfig
%postun -n %{lib_name}%{major}-devel -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/icons/locolor/16x16/apps/*
%{_libdir}/menu/*

%files -n %{lib_name}%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.la
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/qtcups.fr.qm

%files -n %{lib_name}%{major}-devel
%defattr(-,root,root)
%doc %{_docdir}/*/*
%{_includedir}/%{name}/*
%{_libdir}/*.so


%changelog

* Tue Apr 10 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-11mdk
- Fixed problem of passwords not being accepted by both QtCUPS and KUPS

* Tue Apr 10 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-10mdk
- Fixed problem in saving PPD options induced by changes in the recent 
  versions of Qt
- Added missing "BuildRequires" line

* Sun Apr  8 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-9mdk
- Removed empty translation files from /usr/share/qtcups, they gave
  textless widgets to german and brazilian users.

* Mon Mar 26 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-8mdk
- Fixed writing back numerical options into PPD files of the new XML-
  Foomatic

* Fri Mar 16 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-7mdk
- Adapt parsing of numerical options in PPD files to the new XML-Foomatic

* Sat Mar 10 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-6mdk
- Rebuilt with Qt 2.3.0

* Fri Feb 23 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-5mdk
- Fixed bug of classes displaying printer-specific options ("Advanced" tab
  in "Properties" dialog)

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-4mdk
- Rebuilt with libmng1

* Sat Feb 17 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-3mdk
- Changed menu command because of problems with KDE 2.1

* Fri Feb 16 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-2mdk
- Updated to finally released verion of QtCUPS 2.1

* Tue Jan 30 2001 Till Kamppeter <till@mandrakesoft.com> 2.1-1mdk
- Version 2.1: Accented characters in PPD files supported now, more
  flexibility for using QtCUPS dialog in applications.

* Sat Jan 27 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-3mdk
- Updated to finally released verion of QtCUPS 2.0

* Thu Jan 25 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-2mdk
- Bug when piping in files fixed

* Wed Jan 24 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-1mdk
- Version 2.0

* Mon Jan 22 2001 Till Kamppeter <till@mandrakesoft.com> 1.2-4mdk
- Fixes on banner page handling

* Thu Jan 18 2001 Till Kamppeter <till@mandrakesoft.com> 1.2-3mdk
- Bugfix release of QtCUPS 1.2

* Sat Jan 13 2001 Till Kamppeter <till@mandrakesoft.com> 1.2-2mdk
- Bugfix release of QtCUPS 1.2

* Wed Jan 10 2001 Till Kamppeter <till@mandrakesoft.com> 1.2-1mdk
- Updated to release 1.2

* Wed Dec 20 2000 Till Kamppeter <till@mandrakesoft.com> 1.1-2mdk
- Adapted the "Requires" to the new structure of the CUPS package

* Tue Dec 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1-1mdk
- release 1.1
- lib policy
- cleanups 
- build with qt-2.2.3
- package split
- fix internal compiler error 

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-16mdk
- Rebuilt with gcc-2.96 & glibc-2.2

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-15mdk
- Rebuilt for gcc 2.96 update

* Tue Oct 17 2000 Till Kamppeter <till@mandrakesoft.com> 1.0-14mdk
- Rebuilt for library update (KDE 2.0 final!)

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-13mdk
- Rebuilt for library update

* Fri Sep 29 2000 Till Kamppeter <till@mandrakesoft.com> 1.0-12mdk
- Applied a patch to make it possible to read numerical options from a PPD
  file with "dossy" line ends ("\n\r")

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-11mdk
- Rebuilt for library update

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 1.0-10mdk
- CVS Update: Numerical options of CUPS-O-MATIC now supported

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-9mdk
- Rebuilt for library update

* Mon Sep 18 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-8mdk
- Added menu entry for qtcups

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-7mdk
- Rebuilt for library update

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-6mdk
- Rebuilt for new version of qt2

* Wed Sep  6 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-5mdk
- Fix of icons for remote printers and stopped printers

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.0-4mdk
- Rebuilt for new version of libs

* Sat Aug 26 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-3mdk
- Removed hardcoded architecture-specific flags, used macros instead

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-2mdk
- Removed unnecessary entry in "Requires:": kdelibs
- Fixed compiler options

* Fri Aug 18 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.0-1mdk
- "Mandrakized" the original RPM provided by Michael Goffioul
- initial release
